<div class="welcome-guide">
    <div id="glmsg"></div>
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation" id="wrapper" style="background: transparent;
      border: 0px;padding-left: 225px">
        <div class="navbar-header" id="glmess">
            <a class="navbar-brand " href="https://www.gl-inet.com/" target="blank">
                <div id="gli-logo"></div>
            </a>
            <span class="navbar-brand"></span>
        </div>
    </nav>
    <header id="welcomeCarousel" class="carousel slide" data-interval="false">
        <ol class="carousel-indicators" v-show="isOriginHei">
            <li data-target="#welcomeCarousel" class="active" style="cursor:default"></li>
            <li data-target="#welcomeCarousel" style="cursor:default"></li>
            <li data-target="#welcomeCarousel" style="cursor:default" class="hide"></li>
        </ol>
        <div class="carousel-inner" id="welcome_page">
            <div class="item active">
                <div class="fill">
                    <div class="row">
                        <div class="col-md-6 col-md-offset-3 col-xs-10 col-xs-offset-1">
                            <!-- 兼容startsWith -->
                            <div class="typeOfRouter" :id="appIcon" v-cloak></div>

                            <h3 class="text-center font_default">
                                {{t($lang.welcome.chooseLanguage)}}
                            </h3>
                            <p class=" text-center active clsDeviceSSID">
                                GL-{{wifiMode}}
                            </p>
                        </div>
                    </div>
                </div>
                <div class="bottom-btn-bar next-bottom-bar">
                    <table class="container4vertAlign">
                        <tr>
                            <td>
                                <div class="lang-change">
                                    <gl-select :option="language" optionName="item" @change="getlanguage" showNum="4"></gl-select>
                                </div>
                                <div class="welcome-lang">
                                    <gl-btn class="wel_com default" @click="chooseLanguage" style="min-width: 180px;">{{t($lang.button.next)}}</gl-btn>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="router_image">
                </div>
            </div>
            <div class="item" id="router_pwd">
                <div class="fill ">
                    <div class="row">
                        <div class="col-md-5 col-md-offset-3 col-xs-10 col-xs-offset-1">
                            <h3 class="text-center font_default welcom-title welcome-head">
                                {{t($lang.welcome.setPsw)}}
                            </h3>
                            <div class="clearfix">
                                <div class="form-group form-group-lg welcom-title">
                                    <label class="col-sm-5  font_default text-right ">
                                        <h4>{{t($lang.welcome.newPsw)}}</h4>
                                    </label>
                                    <div class=" col-sm-6 " id="NewAdminPwdCheck" :class="{'has-error':page2NewStatus=='error','has-success':page2NewStatus=='success','has-feedback':page2NewStatus}">
                                        <div action="" method="get" accept-charset="utf-8" data-toggle="validator" role="form">
                                            <div class="passtrengthMeter" :class="[statusCls]">
                                                <input type="password" name="password" class="hide">
                                                <input id="NewAdminPwd" type="password" data-minlength="5" class="form-control clsAdminPwd" name="password" autocomplete="off"
                                                    :placeholder="t($lang.holdPlace.lest_5)" v-model="sNewPwd" :class="{'input-error':page2NewStatus=='error'}"
                                                    @keyup.enter="next('#NewAdminPwdConfirm')" maxlength="32" onpaste="return false"
                                                    name="pwd" onpaste="return false" oncontextmenu="return false" oncopy="return false"
                                                    oncut="return false" />
                                                <span class="fa form-control-feedback" :class="{hide:!page2NewStatus,'fa-times':page2NewStatus=='error','fa-check':page2NewStatus=='success'}"></span>
                                                <div id="newPwdTooltip" class="tooltip" style="margin-left:0px; text-transform: capitalize">{{t(statusText)}}</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </br>
                                <div class="form-group form-group-lg welcom-title">
                                    <label class=" col-sm-5 text-right font_default">
                                        <h4>{{t($lang.welcome.confirmPsw)}}</h4>
                                    </label>
                                    <!-- </br> -->
                                    <div class=" col-sm-6 " id="NewAdminPwdConfirmCheck" :class="{'has-error':page2ConfirmStatus=='error','has-success':page2ConfirmStatus=='success','has-feedback':page2ConfirmStatus}">
                                        <div action="" method="get" accept-charset="utf-8" data-toggle="validator" role="form">
                                            <input type="password" name="password" class="hide">
                                            <input id="NewAdminPwdConfirm" type="password" data-minlength="5" class="form-control clsAdminPwd" name="password" autocomplete="off"
                                                :placeholder="t($lang.holdPlace.identical)" v-model="sConfPwd" :class="{'input-error':page2ConfirmStatus}"
                                                @keyup.enter="submit" maxlength="32" onpaste="return false" name="pwd" onpaste="return false"
                                                oncontextmenu="return false" oncopy="return false" oncut="return false" />
                                            <span class="fa form-control-feedback" style="margin-right:15px;" :class="{hide:!page2ConfirmStatus,'fa-times':page2ConfirmStatus=='error','fa-check':page2ConfirmStatus=='success'}"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group form-group-lg clearfix">
                                    <span id="helpBlock" class=" font_default text-left col-sm-offset-5 col-sm-6 gli-txt-light help-block">{{t($lang.welcome.setPswMsg)}}.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="bottom-btn-bar"  v-show="isOriginHei">
                    <table class="container4vertAlign">
                        <tr>
                            <td>
                                <!-- pc -->
                                <gl-btn class="hidden-xs wel_com" @click="reset" type="modify" id="idNewPwdRstBtn" style="min-width: 180px">{{t($lang.button.back)}}</gl-btn>
                                <span class="hidden-xs">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
                                <gl-btn class="default hidden-xs wel_com" @click="submit" :disabled="!(page2NewStatus=='success'&&page2ConfirmStatus=='success')"
                                    id="idNewPwdSmtBtn" style="min-width: 180px">{{t($lang.button.submit)}}</gl-btn>
                                <!-- mobile -->
                                <div style="text-align: center" class="clearfix submit-moblie">
                                    <gl-btn class="visible-xs-block phone-btn" @click="reset" type="modify">{{t($lang.button.back)}}</gl-btn>
                                    <gl-btn class="visible-xs-block default phone-btn" :disabled="!(page2NewStatus=='success'&&page2ConfirmStatus=='success')"
                                        @click="submit">{{t($lang.button.submit)}}</gl-btn>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </header>
</div>